package ODT_to_GND_data is
  --------------------------------------------------------------------
  -- C_comp parameters
  --------------------------------------------------------------------
  constant  C_comp_file_data     : real := 5.00e-12;
  constant  kC_comp_pc_file_data : real := 0.25;
  constant  kC_comp_pu_file_data : real := 0.25;
  constant  kC_comp_pd_file_data : real := 0.25;
  constant  kC_comp_gc_file_data : real := 0.25;
  --------------------------------------------------------------------
  -- Receiver thresholds
  --------------------------------------------------------------------
  constant  Vinh_file_data : real := 2.20;
  constant  Vinl_file_data : real := 1.20;
  --------------------------------------------------------------------
  -- [Pullup Reference] and [Pulldown Reference] values
  --------------------------------------------------------------------
  constant  Vpc_ref_file_data : real := 5.0;
  constant  Vpu_ref_file_data : real := 5.0;
  constant  Vpd_ref_file_data : real := 0.0;
  constant  Vgc_ref_file_data : real := 0.0;
  --------------------------------------------------------------------
  -- V_fixture and R_fixture values
  --------------------------------------------------------------------
  constant  Vfx_r1_file_data : real := 0.0;
  constant  Vfx_r2_file_data : real := 5.0;
  constant  Vfx_f1_file_data : real := 5.0;
  constant  Vfx_f2_file_data : real := 0.0;

  constant  Rfx_r1_file_data : real := 50.0;
  constant  Rfx_r2_file_data : real := 50.0;
  constant  Rfx_f1_file_data : real := 50.0;
  constant  Rfx_f2_file_data : real := 50.0;
  --------------------------------------------------------------------
  -- Vectors of the IV curve tables
  --------------------------------------------------------------------
  constant  Ipc_file_data : real_vector := ( 0.08,  0.00,  0.00,  0.00);
  constant  Vpc_file_data : real_vector := (-5.00, -1.00,  5.00, 10.00);
  constant  Ipu_file_data : real_vector := ( 0.10,  0.00, -0.10, -0.20);
  constant  Vpu_file_data : real_vector := (-5.00,  0.00,  5.00, 10.00);
  constant  Ipd_file_data : real_vector := (-0.10,  0.00,  0.10,  0.20);
  constant  Vpd_file_data : real_vector := (-5.00,  0.00,  5.00, 10.00);
  constant  Igc_file_data : real_vector := (-0.10,  0.00,  0.10,  0.20);
  constant  Vgc_file_data : real_vector := (-5.00,  0.00,  5.00, 10.00);
  --------------------------------------------------------------------
  -- Vectors of the Vt curve tables
  --------------------------------------------------------------------
  constant  Vr1_file_data : real_vector := (0.00,  0.00,     1.66,     1.66);
  constant  Tr1_file_data : real_vector := (0.00,  1.00e-9,  2.00e-9,  3.00e-9);
  constant  Vr2_file_data : real_vector := (1.66,  1.66,     2.50,     2.50,     3.33,     3.33);
  constant  Tr2_file_data : real_vector := (0.00,  0.50e-9,  0.80e-9,  1.00e-9,  2.00e-9,  3.00e-9);
  constant  Vf1_file_data : real_vector := (3.33,  3.33,     2.50,     2.50,     1.66,     1.66);
  constant  Tf1_file_data : real_vector := (0.00,  0.50e-9,  0.80e-9,  1.00e-9,  2.00e-9,  3.00e-9);
  constant  Vf2_file_data : real_vector := (1.66,  1.66,     0.00,     0.00);
  constant  Tf2_file_data : real_vector := (0.00,  0.50e-9,  0.80e-9,  3.00e-9);
  --------------------------------------------------------------------
end package ODT_to_GND_data;
